<?xml version="1.0"?>
<p:declare-step xmlns:p="http://www.w3.org/ns/xproc"
		xmlns:c="http://www.w3.org/ns/xproc-step"
		xmlns:cxf="http://xmlcalabash.com/ns/extensions/fileutils">
  <p:output port="result"/>
  <p:serialization port="result" indent="true"/>

  <p:import href="http://xmlcalabash.com/extension/steps/fileutils.xpl"/>

  <p:directory-list path="../../../../data" include-filter="^.*\.xml$"/>

  <p:make-absolute-uris match="c:file/@name">
    <p:with-option name="base-uri"
		   select="/c:directory/@xml:base"/>
  </p:make-absolute-uris>

  <p:for-each>
    <p:iteration-source select="/c:directory/c:file"/>

    <p:load name="load">
      <p:with-option name="href" select="/c:file/@name"/>
    </p:load>

    <p:xquery>
      <p:input port="query">
	<p:data href="../../common/images.xquery"/>
      </p:input>
      <p:input port="parameters">
	<p:empty/>
      </p:input>
    </p:xquery>
  </p:for-each>

  <p:for-each name="for-each">
    <p:iteration-source select="/images/image"/>

    <cxf:info name="image">
      <p:with-option name="href"
		     select="concat('../../../../images/',/image/@file)">
	<p:pipe step="for-each" port="current"/>
      </p:with-option>
    </cxf:info>

    <cxf:info name="thumb">
      <p:with-option name="href"
		     select="concat('../../../../images/',/image/@thumb)">
	<p:pipe step="for-each" port="current"/>
      </p:with-option>
    </cxf:info>

    <p:wrap-sequence wrapper="info">
      <p:input port="source">
	<p:pipe step="image" port="result"/>
	<p:pipe step="thumb" port="result"/>
      </p:input>
    </p:wrap-sequence>

    <p:choose>
      <p:when test="count(/info/c:file) = 2">
	<p:identity>
	  <p:input port="source">
	    <p:pipe step="for-each" port="current"/>
	  </p:input>
	</p:identity>
      </p:when>
      <p:otherwise>
	<p:identity>
	  <p:input port="source">
	    <p:empty/>
	  </p:input>
	</p:identity>
      </p:otherwise>
    </p:choose>

  </p:for-each>

  <p:wrap-sequence wrapper="images"/>

</p:declare-step>
