import module namespace dx = "http://schemas.epocrates.com/schemas/xquery/dx"
   at "common.xquery" ;

declare variable $definition := $dx:mono/basics/definition/*;
declare variable $classification := $dx:mono/basics/classifications/classification;
declare variable $epidemiology := $dx:mono/basics/epidemiology/*;
declare variable $etiology := $dx:mono/basics/etiology/*;

declare function local:definition() 
{
	if( exists( $definition ) ) then 	
	(
		<H1>Definition</H1>,
			dx:para_text( $definition ) 
	) else ()
};



declare function local:classification()
{
	if( exists( $classification ) ) then 	
	(
		<H1>Classification</H1>,
	
	    for $c in $dx:mono/basics/classifications/classification
		let $title := $c/title/text()

		return 
		(
			if( exists( $title ) ) then 		
				<H1>{dx:text( $c/title/node() )}</H1>
			else () ,

			dx:complex( $c/detail/* )
		)
	) else () 
};

declare function local:epidiology() 
{
	if( exists( $epidemiology ) ) then 	
	(
		<H1>Epidemiology</H1>,

		dx:complex( $epidemiology )
	) else () 
};


declare function local:etiology() 
{
	if( exists( $etiology ) ) then 	
	(
		<H1>Etiology</H1>,

		dx:complex( $etiology )
	) else ()
};


dx:xtext("basics", "Basics",
<PAGE>
{
	local:definition(),
	local:classification(),
	local:epidiology() ,
	local:etiology()
	 

}
</PAGE>
)(: Stylus Studio meta-information - (c) 2004-2009. Progress Software Corporation. All rights reserved.

<metaInformation>
	<scenarios>
		<scenario default="no" name="150" userelativepaths="yes" externalpreview="no" useresolver="yes" url="..\..\xml\150.xml" outputurl="" processortype="saxon" tcpport="60291088" profilemode="0" profiledepth="" profilelength="" urlprofilexml=""
		          commandline="" additionalpath="" additionalclasspath="" postprocessortype="none" postprocesscommandline="" postprocessadditionalpath="" postprocessgeneratedext="" host="" port="0" user="" password="" validateoutput="no"
		          validator="internal" customvalidator="">
			<advancedProperties name="bSchemaAware" value="false"/>
			<advancedProperties name="bXml11" value="false"/>
			<advancedProperties name="iValidation" value="0"/>
			<advancedProperties name="bExtensions" value="true"/>
			<advancedProperties name="iWhitespace" value="0"/>
			<advancedProperties name="bTinyTree" value="false"/>
			<advancedProperties name="bWarnings" value="true"/>
			<advancedProperties name="bUseDTD" value="false"/>
		</scenario>
		<scenario default="no" name="471" userelativepaths="yes" externalpreview="no" useresolver="yes" url="..\..\xml\471.xml" outputurl="" processortype="saxon" tcpport="60291088" profilemode="0" profiledepth="" profilelength="" urlprofilexml=""
		          commandline="" additionalpath="" additionalclasspath="" postprocessortype="none" postprocesscommandline="" postprocessadditionalpath="" postprocessgeneratedext="" host="" port="0" user="" password="" validateoutput="no"
		          validator="internal" customvalidator="">
			<advancedProperties name="bSchemaAware" value="false"/>
			<advancedProperties name="bXml11" value="false"/>
			<advancedProperties name="iValidation" value="0"/>
			<advancedProperties name="bExtensions" value="true"/>
			<advancedProperties name="iWhitespace" value="0"/>
			<advancedProperties name="bTinyTree" value="false"/>
			<advancedProperties name="bWarnings" value="true"/>
			<advancedProperties name="bUseDTD" value="false"/>
		</scenario>
		<scenario default="no" name="273" userelativepaths="yes" externalpreview="no" useresolver="yes" url="..\..\xml\273.xml" outputurl="" processortype="saxon" tcpport="60291088" profilemode="0" profiledepth="" profilelength="" urlprofilexml=""
		          commandline="" additionalpath="" additionalclasspath="" postprocessortype="none" postprocesscommandline="" postprocessadditionalpath="" postprocessgeneratedext="" host="" port="0" user="" password="" validateoutput="no"
		          validator="internal" customvalidator="">
			<advancedProperties name="bSchemaAware" value="false"/>
			<advancedProperties name="bXml11" value="false"/>
			<advancedProperties name="iValidation" value="0"/>
			<advancedProperties name="bExtensions" value="true"/>
			<advancedProperties name="iWhitespace" value="0"/>
			<advancedProperties name="bTinyTree" value="false"/>
			<advancedProperties name="bWarnings" value="true"/>
			<advancedProperties name="bUseDTD" value="false"/>
		</scenario>
		<scenario default="yes" name="183'" userelativepaths="yes" externalpreview="no" useresolver="yes" url="..\..\..\data\1.xml" outputurl="" processortype="saxon" tcpport="60291088" profilemode="0" profiledepth="" profilelength="" urlprofilexml=""
		          commandline="" additionalpath="" additionalclasspath="" postprocessortype="none" postprocesscommandline="" postprocessadditionalpath="" postprocessgeneratedext="" host="" port="0" user="" password="" validateoutput="no"
		          validator="internal" customvalidator="">
			<advancedProperties name="bSchemaAware" value="false"/>
			<advancedProperties name="bXml11" value="false"/>
			<advancedProperties name="iValidation" value="0"/>
			<advancedProperties name="bExtensions" value="true"/>
			<advancedProperties name="iWhitespace" value="0"/>
			<advancedProperties name="bTinyTree" value="false"/>
			<advancedProperties name="bUseDTD" value="false"/>
			<advancedProperties name="bWarnings" value="true"/>
		</scenario>
	</scenarios>
	<MapperMetaTag>
		<MapperInfo srcSchemaPathIsRelative="yes" srcSchemaInterpretAsXML="no" destSchemaPath="" destSchemaRoot="" destSchemaPathIsRelative="yes" destSchemaInterpretAsXML="no"/>
		<MapperBlockPosition></MapperBlockPosition>
		<TemplateContext></TemplateContext>
		<MapperFilter side="source"></MapperFilter>
	</MapperMetaTag>
</metaInformation>
:)