import module namespace dx = "http://schemas.epocrates.com/schemas/xquery/dx"
   at "common.xquery" ;


(: convert <para> elements to <P> elements interspaced with <BR/> :)
declare function local:bullet_text( $es as element(para)* ) as node()*
{ 
	for $p in $es
	return 	<M>{dx:para_content($p/node())}</M>
};


dx:xlist("differentials", "Differential Diagnosis",
<XLIST>
{
if( exists ($dx:mono/diagnosis/differentials/differential) ) then
    for $d at $pos in $dx:mono/diagnosis/differentials/differential
		return
		(: No sub title for differential page :)
		<POPUP subtitle="Differential: {dx:name($d/name)}" title="{$dx:mono_name}"  tag="pop_{$pos}"  maxheight="{$dx:popheight}">
		  
			<H1>Signs/Sx</H1>
			{dx:para_text( $d/sign_symptoms/* )}
			<H1>Tests</H1>
			{local:bullet_text( $d/tests/* )}
			
			{ 
			   let $link := dx:linkdx( $d/@dx_id ) 
			   return
				if( exists( $link) ) then  
					(<BR/>,<PUSHBUTTON name="p_{$pos}"  label="View Full Topic" >{$link}</PUSHBUTTON>)

			    else () 
		  	}
		</POPUP>
else 
  ()

}

<GROUP>
{
if( exists ($dx:mono/diagnosis/differentials/differential) ) then
    for $d at $pos in $dx:mono/diagnosis/differentials/differential
	return
		<CELL popup="pop_{$pos}">
	   		<TEXT text="{dx:name($d/name)}" />
		</CELL>
else 
   <CELL><TEXT text="No differentials"/></CELL>
}
</GROUP>
</XLIST>
)
(: Stylus Studio meta-information - (c) 2004-2008. Progress Software Corporation. All rights reserved.

<metaInformation>
	<scenarios>
		<scenario default="no" name="150" userelativepaths="yes" externalpreview="no" useresolver="yes" url="..\..\xml\150.xml" outputurl="" processortype="saxon" tcpport="60291088" profilemode="0" profiledepth="" profilelength="" urlprofilexml=""
		          commandline="" additionalpath="" additionalclasspath="" postprocessortype="none" postprocesscommandline="" postprocessadditionalpath="" postprocessgeneratedext="" host="" port="0" user="" password="" validateoutput="yes"
		          validator="internal" customvalidator="">
			<advancedProperties name="bSchemaAware" value="false"/>
			<advancedProperties name="bXml11" value="false"/>
			<advancedProperties name="iValidation" value="0"/>
			<advancedProperties name="bExtensions" value="true"/>
			<advancedProperties name="iWhitespace" value="0"/>
			<advancedProperties name="bTinyTree" value="false"/>
			<advancedProperties name="bUseDTD" value="false"/>
			<advancedProperties name="bWarnings" value="true"/>
			<validatorSchema value="..\..\..\..\..\..\..\perforce\eng\Schemas\main\xtext_1_2.xsd"/>
		</scenario>
		<scenario default="no" name="3" userelativepaths="yes" externalpreview="no" useresolver="yes" url="..\..\xml\3.xml" outputurl="" processortype="saxon" tcpport="60291088" profilemode="0" profiledepth="" profilelength="" urlprofilexml=""
		          commandline="" additionalpath="" additionalclasspath="" postprocessortype="none" postprocesscommandline="" postprocessadditionalpath="" postprocessgeneratedext="" host="" port="0" user="" password="" validateoutput="yes"
		          validator="internal" customvalidator="">
			<advancedProperties name="bSchemaAware" value="false"/>
			<advancedProperties name="bXml11" value="false"/>
			<advancedProperties name="iValidation" value="0"/>
			<advancedProperties name="bExtensions" value="true"/>
			<advancedProperties name="iWhitespace" value="0"/>
			<advancedProperties name="bTinyTree" value="false"/>
			<advancedProperties name="bWarnings" value="true"/>
			<advancedProperties name="bUseDTD" value="false"/>
			<validatorSchema value="..\..\..\..\..\..\..\perforce\eng\Schemas\main\xtext_1_2.xsd"/>
		</scenario>
		<scenario default="no" name="1" userelativepaths="yes" externalpreview="no" useresolver="yes" url="..\..\xml\1.xml" outputurl="" processortype="saxon" tcpport="60291088" profilemode="0" profiledepth="" profilelength="" urlprofilexml=""
		          commandline="" additionalpath="" additionalclasspath="" postprocessortype="none" postprocesscommandline="" postprocessadditionalpath="" postprocessgeneratedext="" host="" port="0" user="" password="" validateoutput="yes"
		          validator="internal" customvalidator="">
			<advancedProperties name="bSchemaAware" value="false"/>
			<advancedProperties name="bXml11" value="false"/>
			<advancedProperties name="iValidation" value="0"/>
			<advancedProperties name="bExtensions" value="true"/>
			<advancedProperties name="iWhitespace" value="0"/>
			<advancedProperties name="bTinyTree" value="false"/>
			<advancedProperties name="bUseDTD" value="false"/>
			<advancedProperties name="bWarnings" value="true"/>
			<validatorSchema value="..\..\..\..\..\..\..\perforce\eng\Schemas\main\xtext_1_2.xsd"/>
		</scenario>
		<scenario default="yes" name="62" userelativepaths="yes" externalpreview="no" useresolver="yes" url="..\..\xml\62.xml" outputurl="" processortype="saxon" tcpport="60291088" profilemode="0" profiledepth="" profilelength="" urlprofilexml=""
		          commandline="" additionalpath="" additionalclasspath="" postprocessortype="none" postprocesscommandline="" postprocessadditionalpath="" postprocessgeneratedext="" host="" port="0" user="" password="" validateoutput="yes"
		          validator="internal" customvalidator="">
			<advancedProperties name="bSchemaAware" value="false"/>
			<advancedProperties name="bXml11" value="false"/>
			<advancedProperties name="iValidation" value="0"/>
			<advancedProperties name="bExtensions" value="true"/>
			<advancedProperties name="iWhitespace" value="0"/>
			<advancedProperties name="bTinyTree" value="false"/>
			<advancedProperties name="bWarnings" value="true"/>
			<advancedProperties name="bUseDTD" value="false"/>
			<validatorSchema value="..\..\..\..\..\..\..\perforce\eng\Schemas\main\xtext_1_2.xsd"/>
		</scenario>
	</scenarios>
	<MapperMetaTag>
		<MapperInfo srcSchemaPathIsRelative="yes" srcSchemaInterpretAsXML="no" destSchemaPath="" destSchemaRoot="" destSchemaPathIsRelative="yes" destSchemaInterpretAsXML="no"/>
		<MapperBlockPosition></MapperBlockPosition>
		<TemplateContext></TemplateContext>
		<MapperFilter side="source"></MapperFilter>
	</MapperMetaTag>
</metaInformation>
:)