import module namespace dx = "http://schemas.epocrates.com/schemas/xquery/dx"
   at "common.xquery" ;


declare function local:hxex( $d as element( differential ) ) as node()*
{
(
	<H1>History</H1>,
		dx:text( $d/history ),
	<BR/>,<BR/>,

	<H1>Exam</H1>,
		dx:text( $d/exam ) ,
	<BR/>,<BR/>
)
};
declare function local:test( $t as element( test ) )
{
	( <B>{dx:name($t/name),text{": "}}</B>, dx:text( $t/result ) , <BR/> )
};

declare function local:tests( $d as element( differential ) )
{
let $first_tests := $d/tests/test[@first eq 'true'],
    $other_tests := $d/tests/test[ @first ne 'true' ]
return
(
if( exists( $first_tests ) ) then 
(
<H1>1st Tests</H1>,

  for $t in $first_tests 
  return
  	local:test( $t )
) else ()
,

if( exists($other_tests ) ) then 
(
<BR/>,
<H1>Other Tests</H1>,

  for $t in $other_tests
  return
  	local:test( $t )
) else ()

)

};


declare function local:hxextests( $d as element(differential) ) as element(POPUP)
{
<POPUP tag="p_{dx:offset($d)}" title="{$dx:mono_name}" subtitle="Differential: {dx:name($d/ddx_name)}">
{ local:hxex($d) }
{ local:tests($d) } 
{ 
	   let $link := dx:linkdx( $d/@dx_id ) 
	   return

	if( exists( $link ) ) then  (
	  <BR/>,<PUSHBUTTON name="p_{dx:offset($d)}" label="View Full Topic" >{$link}</PUSHBUTTON>
	 )
	    else () 
}
</POPUP>
};


dx:xlist("eval-differentials","Differential",
<XLIST>
{
    for $d in $dx:mono//differentials/differential
	return
		local:hxextests( $d )
}
{
for $cat in fn:distinct-values( $dx:mono//differentials/differential/category )
return 


 <GROUP heading="{$cat}">
	{
	
    for $d in $dx:mono//differentials/differential[category eq $cat]
	return
	<CELL popup="p_{dx:offset($d)}">
		{ if( $d/@red_flag eq "true" ) then 
		    <TEXT xpos="0" width="3" size="large" bold="true" fgcolor="alert" text="!"/>
		  else 
		  ()
		}
		<TEXT xpos="3" width="95" text="{dx:name($d/ddx_name)}"/>

	</CELL>

	}
</GROUP>
}
</XLIST>
)(: Stylus Studio meta-information - (c) 2004-2008. Progress Software Corporation. All rights reserved.

<metaInformation>
	<scenarios>
		<scenario default="no" name="1101" userelativepaths="yes" externalpreview="no" useresolver="yes" url="..\..\xml\1101.xml" outputurl="" processortype="saxon" tcpport="60291088" profilemode="0" profiledepth="" profilelength="" urlprofilexml=""
		          commandline="" additionalpath="" additionalclasspath="" postprocessortype="none" postprocesscommandline="" postprocessadditionalpath="" postprocessgeneratedext="" host="" port="0" user="" password="" validateoutput="yes"
		          validator="internal" customvalidator="">
			<advancedProperties name="bSchemaAware" value="false"/>
			<advancedProperties name="bXml11" value="false"/>
			<advancedProperties name="iValidation" value="0"/>
			<advancedProperties name="bExtensions" value="true"/>
			<advancedProperties name="iWhitespace" value="0"/>
			<advancedProperties name="bTinyTree" value="false"/>
			<advancedProperties name="bUseDTD" value="false"/>
			<advancedProperties name="bWarnings" value="true"/>
			<validatorSchema value="..\schemas\xtext_1_2.xsd"/>
		</scenario>
		<scenario default="no" name="150" userelativepaths="yes" externalpreview="no" useresolver="yes" url="..\..\xml\150.xml" outputurl="" processortype="saxon" tcpport="60291088" profilemode="0" profiledepth="" profilelength="" urlprofilexml=""
		          commandline="" additionalpath="" additionalclasspath="" postprocessortype="none" postprocesscommandline="" postprocessadditionalpath="" postprocessgeneratedext="" host="" port="0" user="" password="" validateoutput="yes"
		          validator="internal" customvalidator="">
			<advancedProperties name="bSchemaAware" value="false"/>
			<advancedProperties name="bXml11" value="false"/>
			<advancedProperties name="iValidation" value="0"/>
			<advancedProperties name="bExtensions" value="true"/>
			<advancedProperties name="iWhitespace" value="0"/>
			<advancedProperties name="bTinyTree" value="false"/>
			<advancedProperties name="bWarnings" value="true"/>
			<advancedProperties name="bUseDTD" value="false"/>
			<validatorSchema value="..\schemas\xtext_1_2.xsd"/>
		</scenario>
		<scenario default="yes" name="143" userelativepaths="yes" externalpreview="no" useresolver="yes" url="..\..\..\xml\143.xml" outputurl="" processortype="saxon" tcpport="60291088" profilemode="0" profiledepth="" profilelength="" urlprofilexml=""
		          commandline="" additionalpath="" additionalclasspath="" postprocessortype="none" postprocesscommandline="" postprocessadditionalpath="" postprocessgeneratedext="" host="" port="0" user="" password="" validateoutput="yes"
		          validator="internal" customvalidator="">
			<advancedProperties name="bSchemaAware" value="false"/>
			<advancedProperties name="bXml11" value="false"/>
			<advancedProperties name="iValidation" value="0"/>
			<advancedProperties name="bExtensions" value="true"/>
			<advancedProperties name="iWhitespace" value="0"/>
			<advancedProperties name="bTinyTree" value="false"/>
			<advancedProperties name="bWarnings" value="true"/>
			<advancedProperties name="bUseDTD" value="false"/>
			<validatorSchema value="..\schemas\xtext_1_2.xsd"/>
		</scenario>
		<scenario default="no" name="503" userelativepaths="yes" externalpreview="no" useresolver="yes" url="..\..\xml\503.xml" outputurl="" processortype="saxon" tcpport="60291088" profilemode="0" profiledepth="" profilelength="" urlprofilexml=""
		          commandline="" additionalpath="" additionalclasspath="" postprocessortype="none" postprocesscommandline="" postprocessadditionalpath="" postprocessgeneratedext="" host="" port="0" user="" password="" validateoutput="yes"
		          validator="internal" customvalidator="">
			<advancedProperties name="bSchemaAware" value="false"/>
			<advancedProperties name="bXml11" value="false"/>
			<advancedProperties name="iValidation" value="0"/>
			<advancedProperties name="bExtensions" value="true"/>
			<advancedProperties name="iWhitespace" value="0"/>
			<advancedProperties name="bTinyTree" value="false"/>
			<advancedProperties name="bUseDTD" value="false"/>
			<advancedProperties name="bWarnings" value="true"/>
			<validatorSchema value="..\schemas\xtext_1_2.xsd"/>
		</scenario>
	</scenarios>
	<MapperMetaTag>
		<MapperInfo srcSchemaPathIsRelative="yes" srcSchemaInterpretAsXML="no" destSchemaPath="" destSchemaRoot="" destSchemaPathIsRelative="yes" destSchemaInterpretAsXML="no"/>
		<MapperBlockPosition></MapperBlockPosition>
		<TemplateContext></TemplateContext>
		<MapperFilter side="source"></MapperFilter>
	</MapperMetaTag>
</metaInformation>
:)