import module namespace global = "http://schemas.epocrates.com/schemas/xquery/dxglobal"
   at "global.xquery" ;

declare function local:string( $s as xs:string ) as element()+
{
	
	<WORD value="{string-length( $s )}"/>,
	<STRING pad="0" value="{$s}"/>
};
declare function local:root_pages() as element(page)*
{
	for $p in $global:pages/pages/page
	where empty($p/@parent) and (xs:integer($p/@order) gt 0)
	order by xs:integer($p/@order)
	return  $p
};

<XMLPDB>
<PDB name="NavList-{$global:creator}" creator="{$global:creator}" type="nlst">
{
	for $p at $pos in local:root_pages()

	let
	    $n := $p/@name/string(),
		$title := $p/@title/string(),
		$view := $p/@view/string(),
		$id := concat(".",$view)
	return
	<RECORD>
		<WORD value="{$pos - 1 }"/>
		<WORD value="{$view}"/>
		{ 
			local:string( $id ) ,
		  	local:string( $title ) 
		 }
	</RECORD>
}
</PDB>
</XMLPDB>(: Stylus Studio meta-information - (c) 2004-2008. Progress Software Corporation. All rights reserved.

<metaInformation>
	<scenarios>
		<scenario default="yes" name="Scenario1" userelativepaths="yes" externalpreview="no" useresolver="yes" url="..\..\xml\1.xml" outputurl="" processortype="saxon" tcpport="0" profilemode="0" profiledepth="" profilelength="" urlprofilexml=""
		          commandline="" additionalpath="" additionalclasspath="" postprocessortype="none" postprocesscommandline="" postprocessadditionalpath="" postprocessgeneratedext="" host="" port="0" user="" password="" validateoutput="no"
		          validator="internal" customvalidator="">
			<advancedProperties name="bSchemaAware" value="false"/>
			<advancedProperties name="bXml11" value="false"/>
			<advancedProperties name="iValidation" value="0"/>
			<advancedProperties name="bExtensions" value="true"/>
			<advancedProperties name="iWhitespace" value="0"/>
			<advancedProperties name="bTinyTree" value="true"/>
			<advancedProperties name="bWarnings" value="true"/>
			<advancedProperties name="bUseDTD" value="false"/>
		</scenario>
	</scenarios>
	<MapperMetaTag>
		<MapperInfo srcSchemaPathIsRelative="yes" srcSchemaInterpretAsXML="no" destSchemaPath="" destSchemaRoot="" destSchemaPathIsRelative="yes" destSchemaInterpretAsXML="no"/>
		<MapperBlockPosition></MapperBlockPosition>
		<TemplateContext></TemplateContext>
		<MapperFilter side="source"></MapperFilter>
	</MapperMetaTag>
</metaInformation>
:)