import module namespace dx = "http://schemas.epocrates.com/schemas/xquery/dx"
   at "common.xquery" ;



declare function local:test_details( $t as element(test) )
{
	(<B>Test Details</B>,<BR/>,
		dx:para_text( $t/detail/* ))
};


declare function local:test( $t as element(test) ) as element(CELL)
{
	<CELL popup="t_{dx:offset($t)}">
		<TEXT text="{dx:name($t/name)}" />
	</CELL>
};


declare function local:test_popup( $t as element(test) ) as element(POPUP)
{
	<POPUP tag="t_{dx:offset($t)}" title="{$dx:mono_name}" subtitle="Tests: {dx:name($t/name)}" link="{dx:name($t/name)}"   maxheight="{$dx:popheight}">
	<B>Result:</B><BR/>
	{dx:text($t/result)}<BR/>
	<BR/>
	{ 
		if ( exists( $t/detail/* ) ) then
			local:test_details( $t )
		else ()
	}
	</POPUP>
};


declare function local:test_popups()
{
	for $t in $dx:mono/diagnosis/tests/test
	return local:test_popup( $t )

};


dx:xlist("tests","Tests",
<XLIST>
{
	let $tests := $dx:mono/diagnosis/tests/test,
		$first := $tests[@order="initial"],
		$other := $tests[@order="subsequent"]
	return 

 (
 	local:test_popups(),
    if( exists( $first ) ) then 
	<GROUP heading="Initial Tests">
	{
		for $t in $first
		return
			local:test($t)
	
	}
	</GROUP>

	else (),
	if( exists( $other ) ) then 
	<GROUP heading="Other Tests to Consider">
	{
		for $t in $other
		return
			local:test($t)
	}
	</GROUP>
	else ()
)

}

</XLIST>
)(: Stylus Studio meta-information - (c) 2004-2008. Progress Software Corporation. All rights reserved.

<metaInformation>
	<scenarios>
		<scenario default="yes" name="150" userelativepaths="yes" externalpreview="no" useresolver="no" url="..\..\xml\150.xml" outputurl="" processortype="saxon" tcpport="60291088" profilemode="0" profiledepth="" profilelength="" urlprofilexml=""
		          commandline="" additionalpath="" additionalclasspath="" postprocessortype="none" postprocesscommandline="" postprocessadditionalpath="" postprocessgeneratedext="" host="" port="0" user="" password="" validateoutput="no"
		          validator="internal" customvalidator="">
			<advancedProperties name="bSchemaAware" value="false"/>
			<advancedProperties name="bXml11" value="false"/>
			<advancedProperties name="iValidation" value="0"/>
			<advancedProperties name="bExtensions" value="true"/>
			<advancedProperties name="iWhitespace" value="0"/>
			<advancedProperties name="bTinyTree" value="true"/>
			<advancedProperties name="bUseDTD" value="false"/>
			<advancedProperties name="bWarnings" value="true"/>
		</scenario>
		<scenario default="no" name="Scenario1" userelativepaths="yes" externalpreview="no" useresolver="no" url="..\..\xml\12.xml" outputurl="" processortype="saxon" tcpport="60291088" profilemode="0" profiledepth="" profilelength="" urlprofilexml=""
		          commandline="" additionalpath="" additionalclasspath="" postprocessortype="none" postprocesscommandline="" postprocessadditionalpath="" postprocessgeneratedext="" host="" port="0" user="" password="" validateoutput="no"
		          validator="internal" customvalidator="">
			<advancedProperties name="bSchemaAware" value="false"/>
			<advancedProperties name="bXml11" value="false"/>
			<advancedProperties name="iValidation" value="0"/>
			<advancedProperties name="bExtensions" value="true"/>
			<advancedProperties name="iWhitespace" value="0"/>
			<advancedProperties name="bTinyTree" value="true"/>
			<advancedProperties name="bWarnings" value="true"/>
			<advancedProperties name="bUseDTD" value="false"/>
		</scenario>
	</scenarios>
	<MapperMetaTag>
		<MapperInfo srcSchemaPathIsRelative="yes" srcSchemaInterpretAsXML="no" destSchemaPath="" destSchemaRoot="" destSchemaPathIsRelative="yes" destSchemaInterpretAsXML="no">
			<SourceSchema srcSchemaPath="..\..\xml\150.xml" srcSchemaRoot="monographs" AssociatedInstance="" loaderFunction="document" loaderFunctionUsesURI="no"/>
		</MapperInfo>
		<MapperBlockPosition>
			<template name="xquery_body"></template>
		</MapperBlockPosition>
		<TemplateContext></TemplateContext>
		<MapperFilter side="source"></MapperFilter>
	</MapperMetaTag>
</metaInformation>
:)