<?xml version='1.0' ?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:template match="/">
		<html>
			<body>
				<xsl:apply-templates /> 
			</body>
		</html>
	</xsl:template>
	<xsl:template match="P|BR">
  		<xsl:copy-of select="."/>
    </xsl:template>
	<xsl:template match="H1">
	<h3>
  		<xsl:value-of select="."/>
	</h3>
    </xsl:template>
	<xsl:template match="POPUP">
  		
    </xsl:template>
	<xsl:template match="PAGE">
		<h1><xsl:value-of select="@title"/></h1>
		<h2><xsl:value-of select="@subtitle"/></h2>
		<xsl:apply-templates /> 
	</xsl:template>
	<xsl:template match="XLIST">
		<h1><xsl:value-of select="@title"/></h1>
		<h2><xsl:value-of select="@subtitle"/></h2>
		<table>
			<xsl:for-each select="GROUP">
				<tr>
				<th><xsl:value-of select="@heading"/></th>
				</tr>
				<xsl:for-each select="CELL">
					<xsl:variable select="@popup" name="popup_name"/>
					<xsl:variable select="//POPUP[@tag=$popup_name]" name="popup"/>		
					<tr><td><xsl:value-of select="TEXT/@text"/></td></tr>
					<tr><td>
					<h2><xsl:value-of select="$popup/@subtitle"/></h2>
					<!-- <xsl:copy-of select="$popup/*"/> -->
					<xsl:apply-templates select="$popup/*"/>
					</td></tr>
				
				</xsl:for-each>
			
			</xsl:for-each>
		</table>
  		
    </xsl:template>

</xsl:stylesheet><!-- Stylus Studio meta-information - (c) 2004-2009. Progress Software Corporation. All rights reserved.

<metaInformation>
	<scenarios>
		<scenario default="yes" name="Scenario1" userelativepaths="yes" externalpreview="no" url="..\win32\xmlsh\_out\1-basics.xml" htmlbaseurl="" outputurl="" processortype="saxon8" useresolver="yes" profilemode="0" profiledepth="" profilelength=""
		          urlprofilexml="" commandline="" additionalpath="" additionalclasspath="" postprocessortype="none" postprocesscommandline="" postprocessadditionalpath="" postprocessgeneratedext="" validateoutput="no" validator="internal"
		          customvalidator="">
			<advancedProp name="sInitialMode" value=""/>
			<advancedProp name="bXsltOneIsOkay" value="true"/>
			<advancedProp name="bSchemaAware" value="true"/>
			<advancedProp name="bXml11" value="false"/>
			<advancedProp name="iValidation" value="0"/>
			<advancedProp name="bExtensions" value="true"/>
			<advancedProp name="iWhitespace" value="0"/>
			<advancedProp name="sInitialTemplate" value=""/>
			<advancedProp name="bTinyTree" value="true"/>
			<advancedProp name="bWarnings" value="true"/>
			<advancedProp name="bUseDTD" value="false"/>
			<advancedProp name="iErrorHandling" value="fatal"/>
		</scenario>
		<scenario default="no" name="Scenario2" userelativepaths="yes" externalpreview="no" url="..\win32\xmlsh\_out\1-complications.xml" htmlbaseurl="" outputurl="" processortype="internal" useresolver="yes" profilemode="0" profiledepth=""
		          profilelength="" urlprofilexml="" commandline="" additionalpath="" additionalclasspath="" postprocessortype="none" postprocesscommandline="" postprocessadditionalpath="" postprocessgeneratedext="" validateoutput="no" validator="internal"
		          customvalidator=""/>
	</scenarios>
	<MapperMetaTag>
		<MapperInfo srcSchemaPathIsRelative="yes" srcSchemaInterpretAsXML="no" destSchemaPath="..\win32\xmlsh\_out\1-basics.html" destSchemaRoot="html" destSchemaPathIsRelative="yes" destSchemaInterpretAsXML="no">
			<SourceSchema srcSchemaPath="..\win32\xmlsh\_out\1-complications.xml" srcSchemaRoot="XTEXT" AssociatedInstance="" loaderFunction="document" loaderFunctionUsesURI="no"/>
		</MapperInfo>
		<MapperBlockPosition>
			<template match="/"></template>
		</MapperBlockPosition>
		<TemplateContext></TemplateContext>
		<MapperFilter side="source"></MapperFilter>
	</MapperMetaTag>
</metaInformation>
-->
