<?xml version="1.0"?>
<p:declare-step xmlns:p="http://www.w3.org/ns/xproc"
		xmlns:c="http://www.w3.org/ns/xproc-step"
		xmlns:cx="http://xmlcalabash.com/ns/extensions"
		xmlns:cxf="http://xmlcalabash.com/ns/extensions/fileutils"
		exclude-inline-prefixes="c cx cxf">
  <p:output port="result"/>
  <p:serialization port="result" indent="true"/>

  <p:import href="http://xmlcalabash.com/extension/steps/library-1.0.xpl"/>
  <p:import href="http://xmlcalabash.com/extension/steps/fileutils.xpl"/>

  <p:load name="pages" href="../../common/pages.xml"/>

  <p:directory-list path="../../../../data" include-filter="^.*\.xml$"/>

  <p:make-absolute-uris match="c:file/@name">
    <p:with-option name="base-uri"
		   select="/c:directory/@xml:base"/>
  </p:make-absolute-uris>

  <p:for-each>
    <p:iteration-source select="/c:directory/c:file"/>

    <p:load name="load">
      <p:with-option name="href" select="/c:file/@name"/>
    </p:load>

    <p:group>
      <p:output port="result">
	<p:pipe step="store2" port="result"/>
      </p:output>

      <p:variable name="id" select="/monographs/*[1]/@dx_id"/>
      <p:variable name="title" select="/monographs/*[1]/title"/>
      <p:variable name="type" select="name(/monographs/*[1])"/>

      <p:for-each name="loop">
	<p:iteration-source select="/pages/page[@mono_type = $type]">
	  <p:pipe step="pages" port="result"/>
	</p:iteration-source>

	<p:group>
	  <!-- This p:group is just to work around a bug in XML Calabash -->

	  <p:variable name="q" select="/page/@name">
	    <p:pipe step="loop" port="current"/>
	  </p:variable>

	  <!--
	  <cx:message>
	    <p:with-option name="message"
			   select="concat('&quot;Filter: ', /page/@exists, '&quot;')"/>
	  </cx:message>
	  -->

	  <p:filter>
	    <p:input port="source">
	      <p:pipe step="load" port="result"/>
	    </p:input>
	    <p:with-option name="select" select="/page/@exists"/>
	  </p:filter>

	  <p:count/>

	  <!--
	  <cx:message>
	    <p:with-option name="message"
			   select="concat('&quot;Count: ', /c:result, '&quot;')"/>
	  </cx:message>
	  -->

	  <p:choose>
	    <p:when test="/c:result != 0">
	      <p:add-attribute match="c:request" attribute-name="href">
		<p:input port="source">
		  <p:inline>
		    <c:request method="get"/>
		  </p:inline>
		</p:input>
		<p:with-option name="attribute-value"
			       select="concat('../../common/',$q,'.xquery')"/>
	      </p:add-attribute>

	      <p:http-request/>

	      <p:xquery>
		<p:input port="source">
		  <p:pipe step="load" port="result"/>
		</p:input>
		<p:input port="parameters">
		  <p:empty/>
		</p:input>
	      </p:xquery>

	      <p:xslt>
		<p:input port="stylesheet">
		  <p:document href="../../common/xtext2html.xslt"/>
		</p:input>
		<p:input port="parameters">
		  <p:empty/>
		</p:input>
	      </p:xslt>

	      <p:store name="store" indent="true">
		<p:with-option name="href"
			       select="concat('_out/',$id,'-',$q,'.html')">
		  <p:empty/>
		</p:with-option>
	      </p:store>

	      <p:add-attribute match="/*" attribute-name="href">
		<p:input port="source">
		  <p:inline>
		    <a xmlns="http://www.w3.org/1999/xhtml">title</a>
		  </p:inline>
		</p:input>
		<p:with-option name="attribute-value"
			       select="concat($id,'-',$q,'.html')">
		  <p:empty/>
		</p:with-option>
	      </p:add-attribute>

	      <p:string-replace match="/*/text()">
		<p:with-option name="replace"
			       select="concat('&quot;',/page/@title,'&quot;')">
		  <p:pipe step="loop" port="current"/>
		</p:with-option>
	      </p:string-replace>

	    </p:when>
	    <p:otherwise>
	      <p:identity>
		<p:input port="source"><p:empty/></p:input>
	      </p:identity>
	    </p:otherwise>
	  </p:choose>
	</p:group>
      </p:for-each>

      <p:insert match="/*[1]/*[1]" position="last-child">
	<p:input port="source">
	  <p:inline>
	    <html xmlns="http://www.w3.org/1999/xhtml">
	      <body>
		<h1>title</h1>
	      </body>
	    </html>
	  </p:inline>
	</p:input>
      </p:insert>

      <p:string-replace match="/*[1]/*[1]/*[1]/text()">
	<p:with-option name="replace"
		       select="concat('&quot;',$title,'&quot;')">
	  <p:empty/>
	</p:with-option>
      </p:string-replace>

      <p:store name="store2" indent="true">
	<p:with-option name="href"
		       select="concat('_out/',$id,'.html')">
	  <p:empty/>
	</p:with-option>
      </p:store>
    </p:group>
  </p:for-each>

  <p:wrap-sequence wrapper="info"/>

</p:declare-step>
